Package org.apache.calcite.avatica.util

## Class StructImpl

- java.lang.Object
- - org.apache.calcite.avatica.util.StructImpl

All Implemented Interfaces:
  `java.sql.Struct`

    public class StructImpl
    extends java.lang.Object
    implements java.sql.Struct

Implementation of JDBC `Struct`.

### Nested Class Summary

Nested Classes
`static interface` `StructImpl.Factory` Factory that can create a result set based on a list of values.

### Field Summary

Fields
`private java.util.List` `list`

### Constructor Summary

Constructors
`StructImpl​(java.util.List list)`

### Method Summary

All Methods Instance Methods Concrete Methods
`private void` `append​(java.lang.StringBuilder buf, java.lang.Object o)`
`java.lang.Object[]` `getAttributes()`
`java.lang.Object[]` `getAttributes​(java.util.Map<java.lang.String,​java.lang.Class<?>> map)`
`java.lang.String` `getSQLTypeName()`
`java.lang.String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### list

    private final java.util.List list

### Constructor Detail

#### StructImpl

    public StructImpl​(java.util.List list)

### Method Detail

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `java.lang.Object`

#### getSQLTypeName

    public java.lang.String getSQLTypeName()
                                    throws java.sql.SQLException

Specified by:
  `getSQLTypeName` in interface `java.sql.Struct`
Throws:
  `java.sql.SQLException`

#### getAttributes

    public java.lang.Object[] getAttributes()
                                     throws java.sql.SQLException

Specified by:
  `getAttributes` in interface `java.sql.Struct`
Throws:
  `java.sql.SQLException`

#### getAttributes

    public java.lang.Object[] getAttributes​(java.util.Map<java.lang.String,​java.lang.Class<?>> map)
                                     throws java.sql.SQLException

Specified by:
  `getAttributes` in interface `java.sql.Struct`
Throws:
  `java.sql.SQLException`

#### append

    private void append​(java.lang.StringBuilder buf,
                        java.lang.Object o)